> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt. # Get Voice Accents GET https://api.elevenlabs.io/v1/voices/accents Gets the list of available accents in the shared voice library. Reference: https://elevenlabs.io/docs/api-reference/voices/accents/get ## Servers - `https://api.elevenlabs.io` (Production, default) - `https://api.us.elevenlabs.io` (Production US) - `https://api.eu.residency.elevenlabs.io` (Production EU) - `https://api.in.residency.elevenlabs.io` (Production India) - `https://api.sg.residency.elevenlabs.io` (Production Singapore) ## Request ### Query parameters - `language` (string, optional, nullable) — If provided, only accents for this language code are returned. - `model_id` (string, optional, nullable) — If provided, returns the accents available for this model. Defaults to the most complete accent list when omitted. ## Response ### 200 Successful Response - `accents` (list of VoiceAccentResponseModel, required) — A list of available voice accents. ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### VoiceAccentResponseModel - `accent` (string, required) — The accent value used for filtering shared voices via the `accent` query parameter on `GET /v1/shared-voices`. - `language` (string, required) — The language code this accent belongs to, e.g. `en`. - `code` (string, required) — The full accent code, e.g. `en-american`. - `name` (string, required) — The human-readable accent name, e.g. `American`. ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Response** ```json { "accents": [ { "accent": "american", "language": "en", "code": "en-american", "name": "American" } ] } ``` **SDK Code** ```python import requests url = "https://api.elevenlabs.io/v1/voices/accents" querystring = {"language":"en","model_id":"eleven_v3"} response = requests.get(url, params=querystring) print(response.json()) ``` ```javascript const url = 'https://api.elevenlabs.io/v1/voices/accents?language=en&model_id=eleven_v3'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.elevenlabs.io/v1/voices/accents?language=en&model_id=eleven_v3" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.elevenlabs.io/v1/voices/accents?language=en&model_id=eleven_v3") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.elevenlabs.io/v1/voices/accents?language=en&model_id=eleven_v3") .asString(); ``` ```php request('GET', 'https://api.elevenlabs.io/v1/voices/accents?language=en&model_id=eleven_v3'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.elevenlabs.io/v1/voices/accents?language=en&model_id=eleven_v3"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/voices/accents?language=en&model_id=eleven_v3")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > ElevenLabs provides APIs and SDKs for text to speech, voice cloning, speech to text, sound effects, voice isolator, voice changer, and conversational AI agents. Build voice-enabled applications with lifelike audio generation.